Get a run's detail: status, trigger, timing, and per-step results
GET
/job-runs/{runId}
const url = 'https://example.com/job-runs/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/job-runs/example \ --header 'Authorization: Bearer <token>'Auth: authenticated
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”runId
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
createdAt
required
string
currentStepOrder
required
integer | null
errorMessage
required
string | null
finishedAt
required
string | null
id
required
string
jobId
required
string
jobName
string
number
required
integer
scheduledFor
required
string | null
startedAt
required
string | null
status
required
string
steps
Array<object>
object
command
string | null
exitCode
integer | null
finishedAt
string | null
id
string
logsTruncated
boolean
name
required
string
reason
string | null
resolvedImage
string | null
startedAt
string | null
status
required
string
stepOrder
required
integer
type
string
key
additional properties
trigger
required
string
triggeredBy
required
object
id
required
string
name
required
string
username
required
string
key
additional properties
key
additional properties
Example
{ "status": "pending", "steps": [ { "status": "pending", "type": "script" } ], "trigger": "manual"}